Bug 1191192 (CVE-2014-9675) - CVE-2014-9675 freetype: information leak in _bdf_add_property()
Summary: CVE-2014-9675 freetype: information leak in _bdf_add_property()
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-9675
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1191193 1197737 1197738 1197739 1197740
Blocks: 1191102
TreeView+ depends on / blocked
 
Reported: 2015-02-10 16:21 UTC by Martin Prpič
Modified: 2019-09-29 13:28 UTC (History)
5 users (show)

Fixed In Version: freetype 2.5.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-18 07:40:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0696 normal SHIPPED_LIVE Important: freetype security update 2015-03-17 21:58:07 UTC

Description Martin Prpič 2015-02-10 16:21:56 UTC
bdf/bdflib.c in FreeType before 2.5.4 identifies property names by only verifying that an initial substring is present, which allows remote attackers to discover heap pointer values and bypass the ASLR protection mechanism via a crafted BDF font.

Upstream issue:

http://code.google.com/p/google-security-research/issues/detail?id=151

Upstream patch:

http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=2c4832d30939b45c05757f0a05128ce64c4cacc7

Comment 1 Martin Prpič 2015-02-10 16:22:19 UTC
Created freetype tracking bugs for this issue:

Affects: fedora-all [bug 1191193]

Comment 2 Fedora Update System 2015-02-19 18:01:26 UTC
freetype-2.5.3-15.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-02-20 08:30:35 UTC
freetype-2.5.0-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Tomas Hoger 2015-02-24 13:25:17 UTC
Upstream bug is:
https://savannah.nongnu.org/bugs/?43535

Issue was fixed upstream in 2.5.4.

This issue possibly leads to disclosure of portion of process memory.  Leaked information is heap pointer, so it may provide information to bypass address space layout randomization (ASLR) and hence make it easier to exploit other flaws in the application.

Comment 7 errata-xmlrpc 2015-03-17 17:59:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:0696 https://rhn.redhat.com/errata/RHSA-2015-0696.html


Note You need to log in before you can comment on or make changes to this bug.